Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dgbrfs

    java.lang.Object
      org.netlib.lapack.Dgbrfs

    public class Dgbrfs

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGBRFS improves the computed solution to a system of linear
     *  equations when the coefficient matrix is banded, and provides
     *  error bounds and backward error estimates for the solution.
     *
     *  Arguments
     *  =========
     *
     *  TRANS   (input) CHARACTER*1
     *          Specifies the form of the system of equations:
     *          = 'N':  A * X = B     (No transpose)
     *          = 'T':  A**T * X = B  (Transpose)
     *          = 'C':  A**H * X = B  (Conjugate transpose = Transpose)
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KL      (input) INTEGER
     *          The number of subdiagonals within the band of A.  KL >= 0.
     *
     *  KU      (input) INTEGER
     *          The number of superdiagonals within the band of A.  KU >= 0.

     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrices B and X.  NRHS >= 0.
     *
     *  AB      (input) DOUBLE PRECISION array, dimension (LDAB,N)
     *          The original band matrix A, stored in rows 1 to KL+KU+1.
     *          The j-th column of A is stored in the j-th column of the
     *          array AB as follows:
     *          AB(ku+1+i-j,j) = A(i,j) for max(1,j-ku)<=i<=min(n,j+kl).
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KL+KU+1.
     *
     *  AFB     (input) DOUBLE PRECISION array, dimension (LDAFB,N)
     *          Details of the LU factorization of the band matrix A, as
     *          computed by DGBTRF.  U is stored as an upper triangular band

     *          matrix with KL+KU superdiagonals in rows 1 to KL+KU+1, and
     *          the multipliers used during the factorization are stored in
     *          rows KL+KU+2 to 2*KL+KU+1.
     *
     *  LDAFB   (input) INTEGER
     *          The leading dimension of the array AFB.  LDAFB >= 2*KL*KU+1.

     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          The pivot indices from DGBTRF; for 1<=i<=N, row i of the
     *          matrix was interchanged with row IPIV(i).
     *
     *  B       (input) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          The right hand side matrix B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension (LDX,NRHS)
     *          On entry, the solution matrix X, as computed by DGBTRS.
     *          On exit, the improved solution matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(1,N).
     *
     *  FERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The estimated forward error bound for each solution vector
     *          X(j) (the j-th column of the solution matrix X).
     *          If XTRUE is the true solution corresponding to X(j), FERR(j)

     *          is an estimated upper bound for the magnitude of the largest

     *          element in (X(j) - XTRUE) divided by the magnitude of the
     *          largest element in X(j).  The estimate is as reliable as
     *          the estimate for RCOND, and is almost always a slight
     *          overestimate of the true error.
     *
     *  BERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The componentwise relative backward error of each solution
     *          vector X(j) (i.e., the smallest relative change in
     *          any element of A or B that makes X(j) an exact solution).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (3*N)
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Internal Parameters
     *  ===================
     *
     *  ITMAX is the maximum number of steps of iterative refinement.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dgbrfs()`

Method Summary
`static void` | `dgbrfs(java.lang.String trans, int n, int kl, int ku, int nrhs, double[] ab, int _ab_offset, int ldab, double[] afb, int _afb_offset, int ldafb, int[] ipiv, int _ipiv_offset, double[] b, int _b_offset, int ldb, double[] x, int _x_offset, int ldx, double[] ferr, int _ferr_offset, double[] berr, int _berr_offset, double[] work, int _work_offset, int[] iwork, int _iwork_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dgbrfs

    public Dgbrfs()

Method Detail

### dgbrfs

    public static void dgbrfs(java.lang.String trans,
                              int n,
                              int kl,
                              int ku,
                              int nrhs,
                              double[] ab,
                              int _ab_offset,
                              int ldab,
                              double[] afb,
                              int _afb_offset,
                              int ldafb,
                              int[] ipiv,
                              int _ipiv_offset,
                              double[] b,
                              int _b_offset,
                              int ldb,
                              double[] x,
                              int _x_offset,
                              int ldx,
                              double[] ferr,
                              int _ferr_offset,
                              double[] berr,
                              int _berr_offset,
                              double[] work,
                              int _work_offset,
                              int[] iwork,
                              int _iwork_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD